﻿using System;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            byte[] boolBytes = BitConverter.GetBytes(true);
            byte[] shortBytes = BitConverter.GetBytes((short)32000);
            byte[] intBytes = BitConverter.GetBytes(1652300);

            bool boolResult = BitConverter.ToBoolean(boolBytes, 0);
            short shortResult = BitConverter.ToInt16(shortBytes, 0);
            int intResult = BitConverter.ToInt32(intBytes, 0);


            Console.WriteLine(BitConverter.ToString(boolBytes));
            Console.WriteLine(BitConverter.ToString(shortBytes));
            Console.WriteLine(BitConverter.ToString(intBytes));

            byte[] buf = new byte[4];
            buf[0] = 0x4c;
            buf[1] = 0x36;
            buf[2] = 0x19;
            buf[3] = 0x00;

            int result = BitConverter.ToInt32(buf, 0);
            Console.WriteLine(result);

            int n = 1652300;
            string text = n.ToString(); // 숫자 1652300을 문자열로 직렬화

            result = int.Parse(text); // 문자열로부터 숫자를 역직렬화해서 복원
            Console.WriteLine(result);
        }
    }
}
